Page MenuHomePhabricator

Convert Collection to use extension registration
Closed, ResolvedPublic

Description

The Collection extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:31 PM
Liuxinyu970226 set Security to None.
Florian added a subscriber: Florian.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 17 2015, 10:28 PM

Collection can't be ported until the usage of $wgAjaxExportList is removed.

Change 304206 had a related patch set uploaded (by Paladox):
Move all functions into hooks file in preparation for extension.json

https://gerrit.wikimedia.org/r/304206

Change 304226 had a related patch set uploaded (by Paladox):
Add extension.json, empty entry point

https://gerrit.wikimedia.org/r/304226

@Legoktm but could we just $wgAjaxExportList port that to extension.json even though it is deprecated please?

Reedy triaged this task as Normal priority.Nov 27 2016, 10:42 PM

Change 304206 merged by jenkins-bot:
Move all functions into CollectionAjaxFunctions file in preparation for extension.json

https://gerrit.wikimedia.org/r/304206

The above patch has been reverted.

A new patch set is available at 332929:

Change 332929 had a related patch set uploaded
https://gerrit.wikimedia.org/r/#/c/332929/

What's the status there, guys?

Change 304226 abandoned by Reedy:
Add extension.json, empty entry point

https://gerrit.wikimedia.org/r/304226

Change 510984 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Collection@master] Add extension-wip.json

https://gerrit.wikimedia.org/r/510984

Change 510984 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Add extension-wip.json

https://gerrit.wikimedia.org/r/510984

Change 511014 had a related patch set uploaded (by Jforrester; owner: Reedy):
[mediawiki/extensions/Collection@master] Finish migration to extension.json

https://gerrit.wikimedia.org/r/511014

Change 511014 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Finish migration to extension.json

https://gerrit.wikimedia.org/r/511014

Krinkle added a subscriber: Krinkle.

As of recent, flame graphs for MediaWiki initialisation show MWDebug::warn and Monolog initialisation happening very early in the critical path.

Via WikimediaDebug with verbose logging enabled, I believe this is from the following:

Deprecated PHP entry point used for Collection extension. Please use wfLoadExtension instead, see https://www.mediawiki.org/wiki/Extension_registration for more details. [Called from include in /srv/mediawiki/php-1.34.0-wmf.13/extensions/Collection/Collection.php at line 33]

I don't know whether the wmf-config inclusion is trivial to move (there's generally always some amount of risk, complication, and low confidence due to variable ordering and precedence changing). But for the time being would be best to comment this out again.

Change 524521 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Collection@master] Disable wfWarn() in extension entry point

https://gerrit.wikimedia.org/r/524521

Change 524522 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Collection@wmf/1.34.0-wmf.13] Disable wfWarn() in extension entry point

https://gerrit.wikimedia.org/r/524522

Change 524523 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Collection@wmf/1.34.0-wmf.14] Disable wfWarn() in extension entry point

https://gerrit.wikimedia.org/r/524523

I'll leave it untouched in master for now, so that we don't have to go back-and-forth multiple times if this is resolved before Tuesday. Otherwise, should land in master (and wmf.15) as well.

Change 524523 merged by jenkins-bot:
[mediawiki/extensions/Collection@wmf/1.34.0-wmf.14] Disable wfWarn() in extension entry point

https://gerrit.wikimedia.org/r/524523

Change 524522 merged by Krinkle:
[mediawiki/extensions/Collection@wmf/1.34.0-wmf.13] Disable wfWarn() in extension entry point

https://gerrit.wikimedia.org/r/524522

Mentioned in SAL (#wikimedia-operations) [2019-07-19T14:35:20Z] <krinkle@deploy1001> Synchronized php-1.34.0-wmf.13/extensions/Collection/Collection.php: 66ce154d7d734209c76a62cf / T87899 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-07-19T14:42:22Z] <krinkle@deploy1001> Synchronized php-1.34.0-wmf.14/extensions/Collection/Collection.php: 90eed0fad / T87899 (duration: 00m 54s)

Change 524557 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Load Collection from extension.json directly

https://gerrit.wikimedia.org/r/524557

Change 524557 merged by jenkins-bot:
[operations/mediawiki-config@master] Load Collection from extension.json directly

https://gerrit.wikimedia.org/r/524557

Mentioned in SAL (#wikimedia-operations) [2019-07-22T16:55:25Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T87899 Use wfLoadExtension for Collection rather than deprecated entry point (duration: 00m 47s)

Change 524521 abandoned by Krinkle:
Disable wfWarn() in extension entry point

https://gerrit.wikimedia.org/r/524521